# Generated by Django 2.2.9 on 2020-03-05 13:33

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('mentorship', '0040_auto_20200226_2003'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='teammentorship',
            name='mentor',
        ),
        migrations.RemoveField(
            model_name='teammentorship',
            name='team',
        ),
        migrations.RemoveField(
            model_name='teammentorship',
            name='team_mentorship_activity',
        ),
        migrations.RemoveField(
            model_name='teammentorshipactivity',
            name='team',
        ),
        migrations.RemoveField(
            model_name='teammentorshipsession',
            name='creator',
        ),
        migrations.RemoveField(
            model_name='teammentorshipsession',
            name='members_attending',
        ),
        migrations.RemoveField(
            model_name='teammentorshipsession',
            name='mentorships',
        ),
        migrations.RemoveField(
            model_name='teammentorshipsession',
            name='team',
        ),
        migrations.RemoveField(
            model_name='teammentorshipsession',
            name='team_mentorship_activity',
        ),
        migrations.RemoveField(
            model_name='teamnote',
            name='creator',
        ),
        migrations.RemoveField(
            model_name='teamnote',
            name='team',
        ),
        migrations.RemoveField(
            model_name='teamnote',
            name='team_mentorship_activity',
        ),
        migrations.AddField(
            model_name='goal',
            name='completed_on',
            field=models.DateTimeField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='goal',
            name='due_date',
            field=models.DateTimeField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='goal',
            name='mentorship_activity',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, to='mentorship.MentorshipActivity'),
        ),
        migrations.AlterField(
            model_name='mentorship',
            name='student',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='branch.StartupMember'),
        ),
        migrations.AlterField(
            model_name='mentorshipsession',
            name='mentorship',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='mentorship.Mentorship'),
        ),
        migrations.AlterField(
            model_name='note',
            name='mentorship',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='mentorship.Mentorship'),
        ),
        migrations.DeleteModel(
            name='TeamGoal',
        ),
        migrations.DeleteModel(
            name='TeamMentorship',
        ),
        migrations.DeleteModel(
            name='TeamMentorshipActivity',
        ),
        migrations.DeleteModel(
            name='TeamMentorshipSession',
        ),
        migrations.DeleteModel(
            name='TeamNote',
        ),
    ]
